#
# spec file for package rubygem-librarian
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-librarian
Version:        0.1.2
Release:        9.3
%define mod_name librarian
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/applicationsonline/librarian
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A Framework for Bundlers
License:        MIT
Group:          Development/Languages/Ruby

%description
A Framework for Bundlers.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sat Feb 22 2014 coolo@suse.com
- updated to version 0.1.2
  * \#153. Mark the license in the gemspec.
  * \#158, \#160, \#159. Handle cyclic dependencies for adapters which opt in to
  cyclic dependencies.
  * \#154. Cache git repository sources which are identical but for their :path
  attributes (where to look inside the repository for the manifest). Thanks
  @bcatlin.
  * \#161. Fix JRuby exception in posix run! method. Thanks @justenwalker.
  * \#163. Don't fetch git repositories multiple times per run. Thanks @njam.
* Mon Aug 26 2013 coolo@suse.com
- updated to version 0.1.1
  * \#147. Handle the case where HOME is not in the environment. Thanks @bradleyd.
  * \#140. Properly handle the failure to clone a git repository. Avoid wiping out
  the host project's changes.
  * \#127. Support Rubinius and JRuby, including when shelling out to system
  commands.
  * \#144. Allow running the test suite with a simple `rake`. Thanks @nickhammond.
* Tue Jul 30 2013 coolo@suse.com
- updated to version 0.1.0
  * Extract the chef adapter to its own gem.
* Tue Mar 26 2013 mvidner@suse.cz
- Initial packaging
